Package com.usatiuk.objects

# Interface ObjectSerializer<T>

All Known Implementing Classes:
  `JavaDataSerializer`

public interface ObjectSerializer<T>

## Method Summary

Modifier and Type
Method
Description
`T`
`deserialize(ByteBuffer data)`
`com.google.protobuf.ByteString`
`serialize(T obj)`

## Method Details

### serialize

com.google.protobuf.ByteString serialize(T obj)

### deserialize

T deserialize(ByteBuffer data)